# POST /event-queues/:queue_id/steps

**Resource:** [Auto Queues](./auto-queues.md)  
**MCP tool:** `add_auto_queue_step`  
**Scopes:** `automations:write`  
**Write operation:** yes

Add a step to an event queue.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `queue_id` | path | string | yes |  |
| `automation_id` | body | string | yes |  |
| `step_order` | body | number | yes |  |
| `delay_minutes` | body | number | no |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/event-queues/:queue_id/steps"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"automation_id":"...","step_order":"...","delay_minutes":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`